import { Component, OnInit } from '@angular/core';
import { FramePageComponent } from '../../../frame/core/page/frame.page';
import { BsModalService } from 'ngx-bootstrap/modal';
import {ScoreYmDetailComponent} from '../score-ym-detail/score-ym-detail.component';
import {ScoreYmReportComponent} from '../score-ym-report/score-ym-report.component';

@Component({
  selector: 'app-score-ym',
  templateUrl: './score-ym.component.html',
  styleUrls: ['./score-ym.component.scss']
})
export class ScoreYmComponent extends FramePageComponent implements OnInit {

  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = ScoreYmDetailComponent;
  }

  ngOnInit() {
  }

  showConfrimModal () {
    this.showComponentModal(ScoreYmReportComponent);
  }

}
